opj_mqc Struct Reference

MQ coder. More...

`#include <mqc.h>`

## Data Fields

OPJ_UINT32 | c
| temporary buffer where bits are coded or decoded
OPJ_UINT32 | a
| only used by MQ decoder
OPJ_UINT32 | ct
| number of bits already read or free to write
OPJ_UINT32 | end_of_byte_stream_counter
OPJ_BYTE * | bp
| pointer to the current position in the buffer
OPJ_BYTE * | start
| pointer to the start of the buffer
OPJ_BYTE * | end
| pointer to the end of the buffer
const opj_mqc_state_t * | ctxs [MQC_NUMCTXS]
| Array of contexts.
const opj_mqc_state_t ** | curctx
| Active context.
const OPJ_BYTE * | lut_ctxno_zc_orient
OPJ_BYTE | backup [OPJ_COMMON_CBLK_DATA_EXTRA]
| Original value of the 2 bytes at end[0] and end[1].

## Detailed Description

MQ coder.

## Field Documentation

## a

OPJ_UINT32 opj_mqc::a

only used by MQ decoder

Referenced by opj_mqc_codelps(), opj_mqc_codemps(), opj_mqc_init_dec(), opj_mqc_init_enc(), opj_mqc_renorme(), opj_mqc_restart_init_enc(), opj_mqc_setbits(), opj_t1_dec_clnpass_step(), opj_t1_dec_refpass_step_mqc(), and opj_t1_dec_sigpass_step_mqc().

## backup

OPJ_BYTE opj_mqc::backup[OPJ_COMMON_CBLK_DATA_EXTRA]

Original value of the 2 bytes at end[0] and end[1].

Referenced by opj_mqc_init_dec_common(), and opq_mqc_finish_dec().

## bp

OPJ_BYTE* opj_mqc::bp

pointer to the current position in the buffer

Referenced by opj_mqc_bypass_enc(), opj_mqc_bypass_flush_enc(), opj_mqc_bypass_get_extra_bytes(), opj_mqc_bypass_init_enc(), opj_mqc_byteout(), opj_mqc_erterm_enc(), opj_mqc_flush(), opj_mqc_init_dec(), opj_mqc_init_dec_common(), opj_mqc_init_enc(), opj_mqc_numbytes(), opj_mqc_raw_decode(), opj_mqc_restart_init_enc(), and opj_t1_decode_cblk().

## c

OPJ_UINT32 opj_mqc::c

temporary buffer where bits are coded or decoded

Referenced by opj_mqc_bypass_enc(), opj_mqc_bypass_flush_enc(), opj_mqc_bypass_init_enc(), opj_mqc_bytein(), opj_mqc_byteout(), opj_mqc_codelps(), opj_mqc_codemps(), opj_mqc_erterm_enc(), opj_mqc_flush(), opj_mqc_init_dec(), opj_mqc_init_enc(), opj_mqc_raw_decode(), opj_mqc_raw_init_dec(), opj_mqc_renorme(), opj_mqc_restart_init_enc(), opj_mqc_setbits(), opj_t1_dec_clnpass_step(), opj_t1_dec_refpass_step_mqc(), and opj_t1_dec_sigpass_step_mqc().

## ct

OPJ_UINT32 opj_mqc::ct

number of bits already read or free to write

Referenced by opj_mqc_bypass_enc(), opj_mqc_bypass_flush_enc(), opj_mqc_bypass_get_extra_bytes(), opj_mqc_bypass_init_enc(), opj_mqc_bytein(), opj_mqc_byteout(), opj_mqc_codelps(), opj_mqc_codemps(), opj_mqc_erterm_enc(), opj_mqc_flush(), opj_mqc_init_dec(), opj_mqc_init_enc(), opj_mqc_raw_decode(), opj_mqc_raw_init_dec(), opj_mqc_renorme(), opj_mqc_restart_init_enc(), opj_t1_dec_clnpass_step(), opj_t1_dec_refpass_step_mqc(), and opj_t1_dec_sigpass_step_mqc().

## ctxs

const opj_mqc_state_t* opj_mqc::ctxs[MQC_NUMCTXS]

Array of contexts.

Referenced by opj_mqc_resetstates(), and opj_mqc_setstate().

## curctx

const opj_mqc_state_t** opj_mqc::curctx

Active context.

Referenced by opj_mqc_codelps(), opj_mqc_codemps(), opj_mqc_encode(), opj_t1_dec_clnpass_step(), opj_t1_dec_refpass_step_mqc(), and opj_t1_dec_sigpass_step_mqc().

## end

OPJ_BYTE* opj_mqc::end

pointer to the end of the buffer

Referenced by opj_mqc_init_dec_common(), opj_t1_decode_cblk(), and opq_mqc_finish_dec().

## end_of_byte_stream_counter

OPJ_UINT32 opj_mqc::end_of_byte_stream_counter

Referenced by opj_mqc_init_dec(), opj_mqc_init_enc(), and opj_t1_decode_cblk().

## lut_ctxno_zc_orient

const OPJ_BYTE* opj_mqc::lut_ctxno_zc_orient

Referenced by opj_t1_decode_cblk(), opj_t1_encode_cblk(), and opj_t1_getctxno_zc().

## start

OPJ_BYTE* opj_mqc::start

pointer to the start of the buffer

Referenced by opj_mqc_bypass_init_enc(), opj_mqc_byteout(), opj_mqc_init_dec_common(), opj_mqc_init_enc(), opj_mqc_numbytes(), opj_mqc_restart_init_enc(), and opj_t1_decode_cblk().

The documentation for this struct was generated from the following file:

- mqc.h